summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--development/fpc/fpc.SlackBuild8
1 files changed, 2 insertions, 6 deletions
diff --git a/development/fpc/fpc.SlackBuild b/development/fpc/fpc.SlackBuild
index d36bde2afc..f6bdf874e1 100644
--- a/development/fpc/fpc.SlackBuild
+++ b/development/fpc/fpc.SlackBuild
@@ -89,12 +89,8 @@ mv $TMP/$PRGNAM-$VERSION/docs/share/doc/fpdocs-$VERSION/*.pdf \
$PKG/usr/doc/$PRGNAM-$VERSION/
# Strip binaries and libraries.
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null || true
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
# Compress man pages.
( cd $PKG/usr/man